Bug 451737 - Bootloader/Anaconda Portion of UEFI Support
Bootloader/Anaconda Portion of UEFI Support
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.5
x86_64 Linux
high Severity urgent
: beta
: 5.5
Assigned To: Anaconda Maintenance Team
: FutureFeature, HardwareEnablement, Reopened
Depends On: 253295
Blocks: 482819 504370
  Show dependency treegraph
 
Reported: 2008-06-16 21:29 EDT by Larry Troan
Modified: 2016-04-18 05:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-24 07:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Troan 2008-06-16 21:29:36 EDT
Description of problem:

This feature request is to track the bootloader portion of UEFI support.

From bug 253295 (kernel portion)

Short Description: Request full support for UEFI for i386 and x86_64 archs. 
Requires UEFI extensions to lilo/grub boot loaders. Also expect support EFI 
Variables in NVRAM exported to the OS, EFI runtime services. It appears most 
of the development for i386 is complete, but needs to be verified. x86_64 
support is being developed by Intel and needs to be submitted upstream. ia64 
has supported EFI from the beginning. 
Architecture: x86  x86_64
Comment 2 Larry Troan 2008-06-16 21:41:38 EDT
Summary:
* Bug 253295: UEFI support (kernel)
* Bug 451737: Bootloader Portion of UEFI Support
* Bug 451734: Grub Portion of UEFI Support
Comment 4 Denise Dumas 2009-01-08 16:16:40 EST
UEFI support is in Fedora, but it has received virtually no testing. Until we have worked the bugs out upstream, there is no way we can risk RHEL stability for this feature.
Comment 5 RHEL Product and Program Management 2009-01-08 16:26:35 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 6 Larry Troan 2009-01-28 08:11:44 EST
Per Denise, we want to stabilize uEFI support in Fedora and RHEL6 first and then consider back porting it to RHEL5. The earliest this would be is RHEL5.5 assuming everything is stable in the RHEL6 beta by then. This is a major multi-partner requirement and can not be a RHEL6 only implementation.

Reopening this feature request.
Comment 9 Larry Troan 2009-08-24 07:39:53 EDT
On Fri, 2009-08-14 at 15:40 -0400, Denise Dumas wrote:
> Guys, we are not going to be able to do this in rhel5.  Even [the 
> suggested] backup [of] "just port grub" doesn't work.
> 
> The different hard disk formats and boot configuration for the two 
> firmware types mean that the OS must boot from the firmware that was 
> used for the installation. RHEL6 with UEFI support cannot boot from
> BIOS firmware and vice versa. (Windows also has this limitation).
> 
> Denise  


Partners need to continue to provide BIOS boot capability in RHEL5. 
RHEL6 will support uEFI.

Note You need to log in before you can comment on or make changes to this bug.